package com.persagy.service;

import com.alibaba.fastjson.JSONObject;
import com.persagy.entity.AlarmDefine;

import java.util.List;

/**
 * @description:报警定义逻辑接口类（项目报警定义全量获取，报警定义添加修改删除同步更新）
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/10/15 11:22
 * @version:V1.0
 **/
public interface AlarmDefineService {
    List listAllAlarmDefine(List<AlarmDefine> definesList);

    void listSomeAlarmDefine(List<AlarmDefine> alarmDefineList);

    void deleteAlarmDefine(List<AlarmDefine> alarmDefineList);

    void updateAlarmDefine(List<JSONObject> alarmDefineList);

    void updateAlarmDefine();

    /**
     * 隔离或取消隔离报警信息
     * 
     * @param alarmConfigs
     * @date 2022年2月16日 下午4:21:12
     */
	void isolationAlarmDefine(List<JSONObject> alarmConfigs);
	
}
